<?php
/**
 * Theme functions and definitions.
 *
 * For additional information on potential customization options,
 * read the developers' documentation:
 *
 * https://developers.elementor.com/docs/hello-elementor-theme/
 *
 * @package HelloElementorChild
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

define( 'HELLO_ELEMENTOR_CHILD_VERSION', '2.0.0' );

/**
 * Load child theme scripts & styles.
 *
 * @return void
 */
function hello_elementor_child_scripts_styles() {
	wp_enqueue_style( 'bootstrap5', get_stylesheet_directory_uri() . '/assets/bootstrap-grid.min.css' );
	wp_enqueue_style(
		'hello-elementor-child-style',
		get_stylesheet_directory_uri() . '/style.css',
		[
			'hello-elementor-theme-style',
		],
		HELLO_ELEMENTOR_CHILD_VERSION
	);
	wp_enqueue_script( 'bodytalk-script',  get_stylesheet_directory_uri() . '/assets/script.js', array(), '', true );
	
}
add_action( 'wp_enqueue_scripts', 'hello_elementor_child_scripts_styles', 20 );





class Description_Walker extends Walker_Nav_Menu {
    function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0) {
        // Get the menu item description
        $description = $item->description;

        // Output menu item
        $output .= '<li id="menu-item-'. $item->ID . '" class="menu-item menu-item-type-' . $item->type . ' menu-item-object-' . $item->object . ' menu-item-' . $item->ID . '">';

        // Output menu item content including description
        $output .= '<a href="' . $item->url . '">' . $item->title;
        if (!empty($description)) {
            $output .= '<span class="menu-item-description">' . $description . '</span>';
        }
        $output .= '</a>';

        $output .= '</li>';
    }
}

// // Hook to modify the menu output
// add_filter('wp_nav_menu_args', 'add_walker_to_nav_menu');
// function add_walker_to_nav_menu($args) {
//     // Use the custom walker
//     $args['walker'] = new Description_Walker();
//     return $args;
// }
